### Enumeration

# Gimp AddMaskType

unstable since: 3.0

#### Declaration

    enum Gimp.AddMaskType

#### Description [src]

Modes of initialising a layer mask.

Available since: 3.0

#### Members

`GIMP_ADD_MASK_WHITE`

  White (full opacity)

  - Value: `0`
  - Nickname: `white`
  - Available since: 3.0
`GIMP_ADD_MASK_BLACK`

  Black (full transparency)

  - Value: `1`
  - Nickname: `black`
  - Available since: 3.0
`GIMP_ADD_MASK_ALPHA`

  Layer’s alpha channel.

  - Value: `2`
  - Nickname: `alpha`
  - Available since: 3.0
`GIMP_ADD_MASK_ALPHA_TRANSFER`

  Transfer layer’s alpha channel.

  - Value: `3`
  - Nickname: `alpha-transfer`
  - Available since: 3.0
`GIMP_ADD_MASK_SELECTION`

  Selection.

  - Value: `4`
  - Nickname: `selection`
  - Available since: 3.0
`GIMP_ADD_MASK_COPY`

  Grayscale copy of layer.

  - Value: `5`
  - Nickname: `copy`
  - Available since: 3.0
`GIMP_ADD_MASK_CHANNEL`

  Channel.

  - Value: `6`
  - Nickname: `channel`
  - Available since: 3.0